Bug 250331 - sending mail to root causes setroubleshootd to quit
sending mail to root causes setroubleshootd to quit
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: setools (Show other bugs)
7
All Linux
medium Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-31 16:47 EDT by Jared Brothers
Modified: 2008-06-16 22:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:02:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jared Brothers 2007-07-31 16:47:40 EDT
Description of problem:
sending mail to root causes setroubleshootd to quit.

Version-Release number of selected component (if applicable):
setroubleshoot-1.9.4-2.fc7
selinux-policy-targeted-2.6.4-29.fc7

How reproducible:
always

Steps to Reproduce:
1. run the following dogtail script
or:
1. add root@localhost to list of mail recipients in the avc browser
2. trigger an avc denial
  
Actual results:
setroubleshootd process quits

Expected results:
this shouldn't raise an avc denial, or setroubleshootd shouldn't quit when it
causes a denial.

Additional info:

To test, run as root with accessibility turned on:
#!/usr/bin/env python
from dogtail.tree import *
from dogtail.utils import run
from subprocess import call

def clear(browser):
    browser.menuItem('Select All').click()
    browser.menuItem('Mark Delete').click()
    browser.menuItem('Remove Marked Deleted').click()

def address(alert, browser):
    browser.menuItem('Edit Email Alert List...').click()
    email = alert.dialog('Setroubleshoot Email Preferences')
    email.child(roleName='text').text = 'root@localhost'
    email.button('OK').click()
    
def violate():
    call(['touch', '/var/www/html/index.html'])
    call(['chcon', '-t',
                   'user_home_t',
                   '/var/www/html/index.html'])
    call(['service', 'httpd', 'start'])
    call(['wget', 'http://localhost/'])

def check():
    call(['grep', '-q',
                  '/var/www/html/index.html',
                  '/var/spool/mail/root'])

def close(browser):
    browser.menuItem('Close').click()

if __name__ == '__main__':
    run('sealert -b')
    alert = root.application('sealert')
    browser = alert.child()
    result = True
    try:
        clear(browser)
        address(alert, browser)
        violate()
        result = check()
    except:
        result = None
    if result:
        exit(0)
    else:
        exit(1)

/etc/nisswitch.conf contains:
passwd:     files
shadow:     files
group:      files
hosts:      files dns
bootparams: nisplus [NOTFOUND=return] files
ethers:     files
netmasks:   files
networks:   files
protocols:  files
rpc:        files
services:   files
netgroup:   nisplus
publickey:  nisplus
automount:  files nisplus
aliases:    files nisplus


/var/log/audit/audit.log contains:
type=AVC msg=audit(1185912149.419:288): avc:  denied  { getattr } for  pid=2760
comm="httpd" name="index.html" dev=dm-0 ino=621397
scontext=system_u:system_r:httpd_t:s0 tcontext=root:object_r:user_home_t:s0
tclass=file

type=SYSCALL msg=audit(1185912149.419:288): arch=c000003e syscall=4 success=no
exit=-13 a0=555555c89a48 a1=7fff0f719fb0 a2=7fff0f719fb0 a3=555555c8c340 items=0
ppid=2651 pid=2760 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48
egid=48 sgid=48 fsgid=48 tty=(none) comm="httpd" exe="/usr/sbin/httpd"
subj=system_u:system_r:httpd_t:s0 key=(null)

type=AVC_PATH msg=audit(1185912149.419:288):  path="/var/www/html/index.html"

type=AVC msg=audit(1185912149.419:289): avc:  denied  { getattr } for  pid=2760
comm="httpd" name="index.html" dev=dm-0 ino=621397
scontext=system_u:system_r:httpd_t:s0 tcontext=root:object_r:user_home_t:s0
tclass=file

type=SYSCALL msg=audit(1185912149.419:289): arch=c000003e syscall=6 success=no
exit=-13 a0=555555c89b18 a1=7fff0f719fb0 a2=7fff0f719fb0 a3=555555c8c340 items=0
ppid=2651 pid=2760 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48
egid=48 sgid=48 fsgid=48 tty=(none) comm="httpd" exe="/usr/sbin/httpd"
subj=system_u:system_r:httpd_t:s0 key=(null)

type=AVC_PATH msg=audit(1185912149.419:289):  path="/var/www/html/index.html"

type=AVC msg=audit(1185912151.474:290): avc:  denied  { create } for  pid=13782
comm="setroubleshootd" scontext=system_u:system_r:setroubleshootd_t:s0
tcontext=system_u:system_r:setroubleshootd_t:s0 tclass=udp_socket

type=SYSCALL msg=audit(1185912151.474:290): arch=c000003e syscall=41 success=no
exit=-13 a0=2 a1=2 a2=0 a3=2aaab4000090 items=0 ppid=1 pid=13782 auid=500 uid=0
gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none)
comm="setroubleshootd" exe="/usr/bin/python"
subj=system_u:system_r:setroubleshootd_t:s0 key=(null)

type=AVC msg=audit(1185912151.474:291): avc:  denied  { create } for  pid=13782
comm="setroubleshootd" scontext=system_u:system_r:setroubleshootd_t:s0
tcontext=system_u:system_r:setroubleshootd_t:s0 tclass=udp_socket

type=SYSCALL msg=audit(1185912151.474:291): arch=c000003e syscall=41 success=no
exit=-13 a0=2 a1=2 a2=0 a3=409f8ff0 items=0 ppid=1 pid=13782 auid=500 uid=0
gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none)
comm="setroubleshootd" exe="/usr/bin/python"
subj=system_u:system_r:setroubleshootd_t:s0 key=(null)

type=AVC msg=audit(1185912151.474:292): avc:  denied  { create } for  pid=13782
comm="setroubleshootd" scontext=system_u:system_r:setroubleshootd_t:s0
tcontext=system_u:system_r:setroubleshootd_t:s0 tclass=udp_socket

type=SYSCALL msg=audit(1185912151.474:292): arch=c000003e syscall=41 success=no
exit=-13 a0=2 a1=2 a2=0 a3=d9cfd4 items=0 ppid=1 pid=13782 auid=500 uid=0 gid=0
euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) comm="setroubleshootd"
exe="/usr/bin/python" subj=system_u:system_r:setroubleshootd_t:s0 key=(null)

type=AVC msg=audit(1185912151.475:293): avc:  denied  { create } for  pid=13782
comm="setroubleshootd" scontext=system_u:system_r:setroubleshootd_t:s0
tcontext=system_u:system_r:setroubleshootd_t:s0 tclass=udp_socket

type=SYSCALL msg=audit(1185912151.475:293): arch=c000003e syscall=41 success=no
exit=-13 a0=2 a1=2 a2=0 a3=409f8ff0 items=0 ppid=1 pid=13782 auid=500 uid=0
gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none)
comm="setroubleshootd" exe="/usr/bin/python"
subj=system_u:system_r:setroubleshootd_t:s0 key=(null)
Comment 1 Daniel Walsh 2007-08-01 11:33:38 EDT
Fixed in selinux-policy-2.6.4-30
Comment 2 Bug Zapper 2008-05-14 09:47:11 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 22:02:14 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.